For the complete documentation index, see llms.txt. This page is also available as Markdown.

Detayları Getirir

Adisyonun detayını getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Adisyonun detayını getirir.

application/json
UUIDstring · nullableOptional
BillNumberstring · nullableOptional
UBLVersionIDstring · nullableOptional
CustomizationIDstring · nullableOptional
SendDatestring · nullableOptional
IssueDatestring · nullableOptional
CurrencyCodestring · nullableOptional
NumberOfItemsinteger · int32Optional
BillAmountnumber · doubleOptional
TaxAmountnumber · doubleOptional
AdditionalDocumentCountinteger · int32Optional
ReportUUIDstring · nullableOptional
get/Bills/{UUID}/Details
GET /ebill/Bills/{UUID}/Details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "UUID": "text",
  "BillNumber": "text",
  "UBLVersionID": "text",
  "CustomizationID": "text",
  "SendDate": "text",
  "IssueDate": "text",
  "CurrencyCode": "text",
  "NumberOfItems": 1,
  "BillAmount": 1,
  "TaxAmount": 1,
  "AdditionalDocumentCount": 1,
  "ReportUUID": "text"
}

var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/ebill/Bills/1357ba09-29e1-4e65-b600-6247ddd57f93/Details", Method.Get);
request.AddHeader("Authorization", "Bearer <API KEY>");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/ebill/Bills/1357ba09-29e1-4e65-b600-6247ddd57f93/Details',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated